get
https://api.ravepay.co/v2/chargebacks?flwref=FLW-MOCK-8bceeddd2eff1a28d10db65c54e5d858
This allows you fetch a singles chargeback on your account
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Implementations
var request = require('request');
var options = {
'method': 'GET',
'url': '{{BASE_API_URL}}/v2/chargebacks?flwref=FLW-MOCK-8bceeddd2eff1a28d10db65c54e5d858',
'headers': {
'Content-Type': 'application/json',
'seckey': 'FLWSECK_TEST-SANDBOXDEMOKEY-X'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "{{BASE_API_URL}}/v2/chargebacks?flwref=FLW-MOCK-8bceeddd2eff1a28d10db65c54e5d858",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => array(
"Content-Type: application/json",
"seckey: FLWSECK_TEST-SANDBOXDEMOKEY-X"
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;require "uri"
require "net/http"
url = URI("{{BASE_API_URL}}/v2/chargebacks?flwref=FLW-MOCK-8bceeddd2eff1a28d10db65c54e5d858")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Content-Type"] = "application/json"
request["seckey"] = "FLWSECK_TEST-SANDBOXDEMOKEY-X"
response = http.request(request)
puts response.read_bodycurl --location --request GET '{{BASE_API_URL}}/v2/chargebacks?flwref=FLW-MOCK-8bceeddd2eff1a28d10db65c54e5d858' \
--header 'seckey: FLWSECK_TEST-SANDBOXDEMOKEY-X' \
--header 'Content-Type: application/json'